package org.example;

import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.stereotype.Service;

import java.time.LocalTime;

@Service
@EnableConfigurationProperties(TimesOfDay.class)
public class GreetingService {

	private final TimesOfDay timesOfDay;

	public GreetingService(TimesOfDay timesOfDay) {
		this.timesOfDay = timesOfDay;
	}

	public String getGreeting() {
		return "Good " + getTimeOfDay();
	}

	private String getTimeOfDay() {
		int hour = LocalTime.now().getHour();
		if (hour < timesOfDay.morning()) return "night";
		else if (hour < timesOfDay.afternoon()) return "morning";
		else if (hour < timesOfDay.evening()) return "afternoon";
		else return "evening";
	}
}
