package org.example;

import org.springframework.boot.CommandLineRunner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Profile;

import java.util.Scanner;

@SpringBootApplication
public class HelloApplication {

	public static void main(String[] args) {
		SpringApplication.run(HelloApplication.class, args);
	}

	@Bean
	@Profile("dev")
	public CommandLineRunner developmentRunner(HelloService helloService) {
		return args -> {
			System.out.println(helloService.sayHello("John", 16));
			System.out.println(helloService.sayHello("Mary", 21));
		};
	}

	@Bean
	@Profile("prod")
	public CommandLineRunner productionRunner(HelloService helloService) {
		return args -> {
			Scanner scanner = new Scanner(System.in);
				System.out.print("Your name: ");
				String name = scanner.nextLine();
				System.out.print("Your age: ");
				int age = Integer.parseInt(scanner.nextLine());
				String message = helloService.sayHello(name, age);
				System.out.println(message);
		};
	}
}
